<template>
  <div
    class="
      bg-primary
      border-lg border-secondary
      h-full
      lg:m-4
      lg:w-1/5
      lg:sticky
      px-5
      py-3
      sm:order-2
      sm:w-1/2
      text-tertiary
      top-0
      w-full
    "
  >
    <h1 class="text-4xl">{{ $t("sideskills.title") }}</h1>

    <div v-for="(sideskill, index) in sideskills" :key="index" class="my-4">
      <p class="font-bold">{{ sideskill.title }}</p>
      <p class="font-bold" v-if="sideskill.subtitle">
        {{ sideskill.subtitle }}
      </p>
      <p class="font-bold">({{ sideskill.period }})</p>
      <p>{{ sideskill.entity }}</p>
    </div>
  </div>
</template>

<script>
export default {
  name: "sideskills",
  props: {
    msg: String,
  },
  data: function () {
    return {
      sideskills: [
        {
          title: "Degree in Computer Engineering",
          subtitle: "Computer Science and Artificial Intelligence",
          period: "2012 - 2017",
          entity: "Universidad Complutense de Madrid",
        },
        {
          title: "Automatic control and regulation systems",
          subtitle: "",
          period: "2009 - 2011",
          entity: "Colegio Salesiano de Atocha",
        },
        {
          title: "Team Kanban Practitioner",
          subtitle: "Kanban Managemente Practitioner",
          period: "2018 - 2018",
          entity: "Lean Kanban University",
        },
        {
          title: "Solution Architect",
          subtitle: "",
          period: "2019 - 2019",
          entity: "Mark Farragher",
        },
      ],
    };
  },
};
</script>

<style scoped>
</style>
